package com.gree.mall.manager.bean.admin;

import com.gree.mall.manager.bean.admin.reqDto.AdminUserPermissions;
import com.gree.mall.manager.plus.entity.AdminUser;
import com.gree.mall.manager.plus.entity.AdminUserPermissionsRela;
import com.gree.mall.manager.plus.entity.AdminWebsit;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
public class AdminUserCom extends AdminUser {

    @ApiModelProperty("商户集合")
    private List<String> adminCompanyIds;

    @ApiModelProperty("商家集合")
    private List<String> adminWebsitIds;

    @ApiModelProperty("部门集合")
    private List<String> adminDeptIds;

    @ApiModelProperty("商家")
    private AdminWebsit adminWebsit;

    @ApiModelProperty("token")
    private String token;

    @ApiModelProperty("数据权限集合")
    private List<AdminUserPermissionsRela> permissionList;

    @ApiModelProperty("部门集合(账号详情接口时有值)")
    private List<AdminUserPermissions> deptList;

    @ApiModelProperty("商家权限集合(账号详情接口时有值)")
    private List<AdminUserPermissions> permissions;
}
